Loading...
Searching...
No Matches
pyregfi.Security Class Reference

Represents a registry SK record which contains a security descriptor. More...

Inheritance diagram for pyregfi.Security:
[legend]

## Public Member Functions

| next_security (self)
| Loads the "next" Security record in the hive.
| prev_security (self)
| Loads the "previous" Security record in the hive.
Public Member Functions inherited from pyregfi._StructureWrapper
| __eq__ (self, other)
| Test for equality.

## Static Public Attributes

int | ref_count = 1
| Number of registry Keys referencing this SK record.
int | offset = 0xCAFEBABE
| The absolute file offset of the SK record's cell in the Hive file.
| descriptor = object()
| The winsec.SecurityDescriptor for this SK record.

## Detailed Description

Represents a registry SK record which contains a security descriptor.

## Member Function Documentation

## next_security()

pyregfi.Security.next_security | ( |  | self | ) |

Loads the "next" Security record in the hive.

Note
  SK records are included in a circular, doubly-linked list. To iterate over all SK records, be sure to check for the repetition of the SK record you started with to determine when all have been traversed.

References pyregfi._StructureWrapper._base, pyregfi.Security._base, pyregfi.Key._base, pyregfi._StructureWrapper._hive, pyregfi.Security._hive, pyregfi._GenericList._hive, pyregfi.Key._hive, and pyregfi.HiveIterator._hive.

## prev_security()

pyregfi.Security.prev_security | ( |  | self | ) |

Loads the "previous" Security record in the hive.

Note
  SK records are included in a circular, doubly-linked list. To iterate over all SK records, be sure to check for the repetition of the SK record you started with to determine when all have been traversed.

References pyregfi._StructureWrapper._base, pyregfi.Security._base, pyregfi.Key._base, pyregfi._StructureWrapper._hive, pyregfi.Security._hive, pyregfi._GenericList._hive, pyregfi.Key._hive, and pyregfi.HiveIterator._hive.

The documentation for this class was generated from the following file:

- __init__.py